Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.component
[Java] Interface ComponentSelector

    @Incubating
    public interface ComponentSelector

Represents some opaque criteria used to select a component instance during dependency resolution. Various sub-interfaces expose specific details about the criteria.

Since:
  1.10

Method Summary
`String` | `getDisplayName()` Returns a human-consumable display name for this selector.
`boolean` | `matchesStrictly(ComponentIdentifier identifier)` Checks if selector matches component identifier.

Method Detail

### getDisplayName

    public String getDisplayName()

  Returns a human-consumable display name for this selector.
  Returns:
    Display name
  Since:
    1.10

### matchesStrictly

    public boolean matchesStrictly(ComponentIdentifier identifier)

  Checks if selector matches component identifier.
  Parameters:
    `identifier` - Component identifier
  Returns:
    if this selector matches exactly the given component identifier.
  Since:
    1.10

Gradle API 1.10